NodeRings Docs

Create Service Account

POST
/v1/service-accounts
Authorization<token>

Bearer token

In: header

X-Organization-ID<token>

Tenant or organization identifier

In: header

name?string
description?string
allowedIps?array<string>

Response Body

application/json

curl -X POST "https://api.nrings.io/v1/service-accounts" \  -H "Authorization: Bearer {your_token}" \  -H "X-Organization-ID: {your_org_id}" \  -H "Content-Type: application/json" \  -d '{  "name": "string",  "description": "string",  "allowedIps": [    "string"  ]}'
{
  "id": "string",
  "name": "string",
  "description": "string",
  "isActive": true,
  "allowedIps": [
    "string"
  ],
  "organizationId": "string",
  "createdByUserId": "string",
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z",
  "lastUsedAt": "2019-08-24T14:15:22Z",
  "activeTokenCount": 0,
  "groupIds": [
    "string"
  ],
  "roleIds": [
    "string"
  ]
}